1. You want that $100.00 in your pocket or an Amazon Fire TV don't you? Well here's the deal. With our new updated look we are in desperate need of an updated logo. The 'old' one has certainly served us well, but it's time. Find all the details here: bit.ly/1q0k6Wa
  2. DroidForums.net is currently undergoing a major software upgrade. If you are experiencing any problems logging in please: Contact Us

Having issues flashing back to 2.1 please help!

Discussion in 'Droid X Tech Support' started by LethalInjection, Sep 15, 2010.

  1. LethalInjection
    Offline

    LethalInjection New Member

    Joined:
    Mar 16, 2010
    Messages:
    35
    Likes Received:
    0
    Trophy Points:
    0
    Ok so i am trying to flash back to a completely stock Droid X and i am having issues doing so. I applied the leaked 2.2 update.zip to my phone. It was not rooted whatsoever. I had a droid 1 so i already has RSDlite and everything. I uninstalled the RSD that i already had, downloaded the recent one, replaced the patch file and downloaded the .sbf and extracted it. I boot into flash and try to run the file and i get the following,

    "CRITICAL ERROR : 1337 510B"

    my phone will then reboot back to the OS.

    on RSD i get "Failed Flashing process , Phone[0000]: Error sending RAM downloader for bootloader Device API error 0xE0030009 Address: 0x80500000 Command: ADDR (0xE0231009)

    Im no exactly sure why it would not work, i tried wiping cache and data but still no luck.

    Any thoughts?
  2. titans
    Offline

    titans Premium Member Premium Member

    Joined:
    Dec 3, 2009
    Messages:
    2,664
    Likes Received:
    0
    Trophy Points:
    0
    I don't have a Droid X but this will apply to all Motorola RSD Lite issues....make sure you have the latest RSD lite, latest drivers. Sorry I couldn't help more but that's the first time I've seen that. Maybe Moto pulled an HTC and did something with the bootloader, who knows.
  3. LethalInjection
    Offline

    LethalInjection New Member

    Joined:
    Mar 16, 2010
    Messages:
    35
    Likes Received:
    0
    Trophy Points:
    0
    Ive seen a few other people have the issue on forums but no one replied with a fix. Just seeing if anyone out there might have a solution.
  4. Sydman
    Offline

    Sydman Premium Member Premium Member

    Joined:
    Jul 18, 2010
    Messages:
    3,416
    Likes Received:
    201
    Trophy Points:
    63
    Location:
    Austin, Tx
    Hey yeah I had the same issue, did you get your sbf from that r5 files site hosted by the dude on here? That sbf is no good for DX, you need to get the one from rootzwiki.
  5. LethalInjection
    Offline

    LethalInjection New Member

    Joined:
    Mar 16, 2010
    Messages:
    35
    Likes Received:
    0
    Trophy Points:
    0
    I actually got everything from Rootzwiki. im trying a different dl link right now, hopefully it will work.
  6. Sydman
    Offline

    Sydman Premium Member Premium Member

    Joined:
    Jul 18, 2010
    Messages:
    3,416
    Likes Received:
    201
    Trophy Points:
    63
    Location:
    Austin, Tx
    Oh ok well maybe try the one from the guy on here, I got the same error you got from that one that is why I went to rootzwiki and that one worked fine. I flashed back then root and upgraded, and flashed back again then back to the first 2.2 leak. Just to get the hang of the whole process for when official 2.2 comes out in case I need to go back.
  7. LethalInjection
    Offline

    LethalInjection New Member

    Joined:
    Mar 16, 2010
    Messages:
    35
    Likes Received:
    0
    Trophy Points:
    0
    Well i downloaded a different .sbf and looks like it worked. For some reason the rootzwiki package wasnt agreeing with my X. Im glad i found a solution, thanks for the help guys.